ENQUIRE(1)

NAME
enquire - query parameter-based web services or FTP

SYNOPSIS
enquire [-help] [-url URL] [-get [fIURL]] [-lst host dir] [-ftp host dir file] [-examples] [-version]

DESCRIPTION
nquire performs raw HTTP(S) or FTP queries against web services such as NCBI E-Utilities that take GET or POST parameters.

OPTIONS

-help
    Print usage information, complete with a few examples, some additionally illustrating the use of xtract(1).

-url URL
    Base URL for external search.

-get [fIURL]
    Use HTTP(S) GET instead of POST.

-lst host dir
    Lists contents of FTP site.

-ftp host dir file
    Retrieves data from FTP site.

component
    Add /component to the base URL. (Must precede any tag/value pairs.)

-tag value ...
    Add &tag=value,... to the base URL. (Must follow any simple components.)

-examples
    Examples of advanced queries.

-version
    Print version number.

SEE ALSO
bt-link(1), bt-srch(1), download-ncbi-data(1), edirect(1), nquire(1), xplore(1), xtract(1).